Technical Requirements

To access the TradeRoom system, you will need a computer, tablet or smartphone with an Internet connection and a modern browser. If you notice any flaws or errors while working with TradeRoom in a modern browser, please contact us, and we will fix it. If your browser is outdated, and TradeRoom does not operate properly, we recommend you replacing your browser with a newer one.

TradeRoom works well in Chrome version 49 and above, in Firefox version 31 and above, in Safari version 8 and above, in Opera version 11 and above, in Edge version 12 and above, in Internet Explorer version 10 and above, and in other modern browsers.

© 1999-2019 Forexite Ltd.